Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class ObjectView

    java.lang.Object
      ix.ip2.ObjectView

    public class ObjectView

extends java.lang.Object

Nested Class Summary
`static class` | `ObjectView.ValueParser`

Field Summary
`protected java.lang.String` | `name`
`protected static java.lang.Object` | `NO_VALUE`
`protected java.lang.String` | `objectHeader`
`protected java.util.List` | `objects`
`protected ObjectView.ValueParser` | `parser`
`protected ix.icore.domain.ListOfObjectProperty` | `properties`
`protected static Symbol` | `TYPE`
`protected java.util.List` | `types`

Constructor Summary
`ObjectView()`

Method Summary
`void` | `addObject(java.lang.Object obj)`
`java.util.SortedSet` | `getInitialObjects(java.util.Map worldState, Function1 lookup)`
`java.lang.String` | `getName()`
`java.util.SortedSet` | `getNewObjects(java.util.Map newState, java.util.Set knownObjects, Function1 lookup)`
`java.lang.String` | `getObjectHeader()`
`java.lang.String` | `getObjectHeader(java.lang.String defaultHeader)`
`java.util.List` | `getObjects()`
`ix.icore.domain.ListOfObjectProperty` | `getProperties()`
`java.util.List` | `getTypes()`
`boolean` | `isRelevantObject(java.lang.Object obj, Function1 lookup)`
`protected ObjectView.ValueParser` | `makeValueParser()`
`java.lang.Object` | `read(ObjectProperty property, java.lang.String text, java.lang.Object oldValue)`
`void` | `setName(java.lang.String name)`
`void` | `setObjectHeader(java.lang.String objectHeader)`
`void` | `setObjects(java.util.List objects)`
`void` | `setProperties(ix.icore.domain.ListOfObjectProperty properties)`
`void` | `setTypes(java.util.List types)`
`java.lang.String` | `write(ObjectProperty property, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE

    protected static final Symbol TYPE

### NO_VALUE

    protected static final java.lang.Object NO_VALUE

### name

    protected java.lang.String name

### objectHeader

    protected java.lang.String objectHeader

### objects

    protected java.util.List objects

### types

    protected java.util.List types

### properties

    protected ix.icore.domain.ListOfObjectProperty properties

### parser

    protected ObjectView.ValueParser parser

Constructor Detail

### ObjectView

    public ObjectView()

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getObjectHeader

    public java.lang.String getObjectHeader()

### getObjectHeader

    public java.lang.String getObjectHeader(java.lang.String defaultHeader)

### setObjectHeader

    public void setObjectHeader(java.lang.String objectHeader)

### getObjects

    public java.util.List getObjects()

### setObjects

    public void setObjects(java.util.List objects)

### addObject

    public void addObject(java.lang.Object obj)

### getTypes

    public java.util.List getTypes()

### setTypes

    public void setTypes(java.util.List types)

### getProperties

    public ix.icore.domain.ListOfObjectProperty getProperties()

### setProperties

    public void setProperties(ix.icore.domain.ListOfObjectProperty properties)

### getInitialObjects

    public java.util.SortedSet getInitialObjects(java.util.Map worldState,
                                                 Function1 lookup)

### getNewObjects

    public java.util.SortedSet getNewObjects(java.util.Map newState,
                                             java.util.Set knownObjects,
                                             Function1 lookup)

### isRelevantObject

    public boolean isRelevantObject(java.lang.Object obj,
                                    Function1 lookup)

### makeValueParser

    protected ObjectView.ValueParser makeValueParser()

### read

    public java.lang.Object read(ObjectProperty property,
                                 java.lang.String text,
                                 java.lang.Object oldValue)

### write

    public java.lang.String write(ObjectProperty property,
                                  java.lang.Object value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD